function vectorCollection = func_genJointGaussianVectors(sourceInfo)
%% AR(1) based Gaussian vector generator
%  Last modified by Chau-Wai Wong on 12/5/2015
%
%  Copyright (c) 2016  Chau-Wai Wong
%  Licensed under MIT License. For the full license, refer to LICENSE.txt


if sourceInfo.trueRandom ~= 1
    rng('default')
end

vecLen = sourceInfo.vecLen;
count  = sourceInfo.count;
ar1Rho = sourceInfo.rho_ar1;

arProcessLen = count*vecLen;
err = randn(arProcessLen,1);
x   = zeros(arProcessLen,1);

for i = 1 : arProcessLen-1
    x(i+1) = ar1Rho * x(i) + err(i);
end

vectorCollection = reshape(x, [vecLen count]);

